Subject: Re: bug#38273: emacs doesn't open files

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 20 Nov 2019 06:51:26 +0900

Hello Simon,

zimoun <[email-masked]> writes:

> Hi,
>
> I do experiment the same issue.
>
> $  guix describe
> Generation 56    Nov 19 2019 12:52:57    (current)
>   guix 7b40d59
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 7b40d59114e1462d6d8140f325a66b12e91db667
>
> $ ls -l `which emacs`
> lrwxrwxrwx 2 root root 64 Jan  1  1970
> /home/simon/.guix-profile/bin/emacs ->
> /gnu/store/vb0ia0qnkc92yp771hxhcp8k6ywqymkk-emacs-26.3/bin/emacs
>
> Then "emacs -Q" works fine.
> However "emacs -q" does not.
>
>
> All the best,
> simon

Did you sort out your issue?  Perhaps logging out then back in could
define the missing EMACSLOADPATH environment variable? Or manually
sourcing your current profile's etc/profile and starting Emacs from that
shell?

I'll try to isolate how to reproduce the problem; if you have a way to
reproduce it I'm interested!

Maxim